zenilib: zenilib/jni/external/freetype2/src/type1/t1objs.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
t1objs.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_CONFIG_CONFIG_H>`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`

Go to the source code of this file.

## Classes

struct | T1_GlyphSlotRec_
struct | T1_SizeRec_

## Typedefs

typedef struct T1_CharMapRec_ * | T1_CharMap
typedef struct T1_Glyph_Hints_ | T1_Glyph_Hints
typedef struct T1_GlyphSlotRec_ * | T1_GlyphSlot
typedef struct T1_GlyphSlotRec_ | T1_GlyphSlotRec
typedef struct T1_SizeRec_ * | T1_Size
typedef typedefFT_BEGIN_HEADER struct T1_Size_Hints_ | T1_Size_Hints
typedef struct T1_SizeRec_ | T1_SizeRec

## Functions

| T1_Driver_Done (FT_Module driver)
| T1_Driver_Init (FT_Module driver)
| T1_Face_Done (FT_Face face)
| T1_Face_Init (FT_Stream stream, FT_Face face, FT_Int face_index, FT_Int num_params, FT_Parameter *params)
| T1_GlyphSlot_Done (FT_GlyphSlot slot)
| T1_GlyphSlot_Init (FT_GlyphSlot slot)
| T1_Size_Done (FT_Size size)
| T1_Size_Init (FT_Size size)
| T1_Size_Request (FT_Size size, FT_Size_Request req)

## Typedef Documentation

typedef struct T1_CharMapRec_* T1_CharMap

Definition at line 72 of file t1objs.h.

typedef struct T1_Glyph_Hints_ T1_Glyph_Hints

Definition at line 34 of file t1objs.h.

typedef struct T1_GlyphSlotRec_* T1_GlyphSlot

Definition at line 56 of file t1objs.h.

typedef struct T1_GlyphSlotRec_ T1_GlyphSlotRec

typedef struct T1_SizeRec_* T1_Size

Definition at line 45 of file t1objs.h.

typedef typedefFT_BEGIN_HEADER struct T1_Size_Hints_ T1_Size_Hints

Definition at line 33 of file t1objs.h.

typedef struct T1_SizeRec_ T1_SizeRec

## Function Documentation

T1_Driver_Done | ( | FT_Module | driver | ) |

Definition at line 609 of file t1objs.c.

References FT_UNUSED.

T1_Driver_Init | ( | FT_Module | driver | ) |

Definition at line 589 of file t1objs.c.

References FT_UNUSED.

T1_Face_Done | ( | FT_Face | face | ) |

Definition at line 201 of file t1objs.c.

References T1_FaceRec_::afm_data, T1_FaceRec_::blend, T1_FaceRec_::buildchar, T1_FontRec_::charstrings, T1_FontRec_::charstrings_block, T1_FontRec_::charstrings_len, T1_FontRec_::encoding, PS_FontInfoRec_::family_name, FT_FaceRec_::family_name, T1_FontRec_::font_info, T1_FontRec_::font_name, FT_ASSERT, FT_FREE, PS_FontInfoRec_::full_name, T1_FontRec_::glyph_names, T1_FontRec_::glyph_names_block, T1_FaceRec_::len_buildchar, FT_FaceRec_::memory, PS_FontInfoRec_::notice, NULL, T1_FaceRec_::root, FT_FaceRec_::style_name, T1_FontRec_::subrs, T1_FontRec_::subrs_block, T1_FontRec_::subrs_len, T1_Done_Blend(), T1_Done_Metrics(), T1_FaceRec_::type1, PS_FontInfoRec_::version, and PS_FontInfoRec_::weight.

T1_Face_Init | ( | FT_Stream | stream,
|  | FT_Face | face,
|  | FT_Int | face_index,
|  | FT_Int | num_params,
|  | FT_Parameter * | params
| ) |  |

Definition at line 300 of file t1objs.c.

References FT_FaceRec_::ascender, FT_FaceRec_::available_sizes, FT_FaceRec_::bbox, T1_FaceRec_::blend, FT_FaceRec_::charmap, FT_FaceRec_::charmaps, T1_CMap_ClassesRec_::custom, FT_FaceRec_::descender, FT_CharMapRec_::encoding, FT_CharMapRec_::encoding_id, T1_FontRec_::encoding_type, error, T1_CMap_ClassesRec_::expert, FT_CharMapRec_::face, FT_FaceRec_::face_flags, FT_FaceRec_::face_index, FALSE, PS_FontInfoRec_::family_name, FT_FaceRec_::family_name, FIXED_TO_INT, T1_FontRec_::font_bbox, T1_FontRec_::font_info, T1_FontRec_::font_name, FT_Bool, FT_CMap_New(), FT_Err_Ok, FT_ERROR, FT_FACE_FIND_GLOBAL_SERVICE, FT_FACE_FLAG_FIXED_WIDTH, FT_FACE_FLAG_GLYPH_NAMES, FT_FACE_FLAG_HINTER, FT_FACE_FLAG_HORIZONTAL, FT_FACE_FLAG_MULTIPLE_MASTERS, FT_FACE_FLAG_SCALABLE, FT_FACE_LIBRARY, FT_Get_Module_Interface(), FT_Pos, ft_strcmp, FT_STYLE_FLAG_BOLD, FT_STYLE_FLAG_ITALIC, FT_TRACE2, FT_UNUSED, PS_FontInfoRec_::full_name, FT_FaceRec_::height, if(), PS_FontInfoRec_::is_fixed_pitch, PS_FontInfoRec_::italic_angle, FT_FaceRec_::max_advance_height, FT_FaceRec_::max_advance_width, NULL, FT_FaceRec_::num_charmaps, FT_FaceRec_::num_faces, FT_FaceRec_::num_fixed_sizes, T1_FontRec_::num_glyphs, FT_FaceRec_::num_glyphs, FT_CharMapRec_::platform_id, T1_FaceRec_::psaux, T1_FaceRec_::pshinter, T1_FaceRec_::psnames, T1_FaceRec_::root, T1_CMap_ClassesRec_::standard, FT_FaceRec_::style_flags, FT_FaceRec_::style_name, PSAux_ServiceRec_::t1_cmap_classes, T1_Compute_Max_Advance(), T1_ENCODING_TYPE_ARRAY, T1_ENCODING_TYPE_EXPERT, T1_ENCODING_TYPE_ISOLATIN1, T1_ENCODING_TYPE_STANDARD, T1_Open_Face(), TRUE, TT_ADOBE_ID_CUSTOM, TT_ADOBE_ID_EXPERT, TT_ADOBE_ID_LATIN_1, TT_ADOBE_ID_STANDARD, TT_MS_ID_UNICODE_CS, TT_PLATFORM_ADOBE, TT_PLATFORM_MICROSOFT, T1_FaceRec_::type1, PS_FontInfoRec_::underline_position, FT_FaceRec_::underline_position, PS_FontInfoRec_::underline_thickness, FT_FaceRec_::underline_thickness, T1_CMap_ClassesRec_::unicode, FT_FaceRec_::units_per_EM, PS_FontInfoRec_::weight, FT_BBox_::xMax, FT_BBox_::xMin, FT_BBox_::yMax, and FT_BBox_::yMin.

T1_GlyphSlot_Done | ( | FT_GlyphSlot | slot | ) |

Definition at line 145 of file t1objs.c.

T1_GlyphSlot_Init | ( | FT_GlyphSlot | slot | ) |

Definition at line 152 of file t1objs.c.

References FT_Get_Module(), PSHinter_Interface_::get_t1_funcs, and T1_FaceRec_::pshinter.

T1_Size_Done | ( | FT_Size | size | ) |

Definition at line 75 of file t1objs.c.

References PSH_Globals_FuncsRec_::destroy, FT_SizeRec_::internal, T1_SizeRec_::root, and T1_Size_Get_Globals_Funcs().

T1_Size_Init | ( | FT_Size | size | ) |

Definition at line 95 of file t1objs.c.

References PSH_Globals_FuncsRec_::create, error, FT_SizeRec_::face, FT_SizeRec_::internal, FT_FaceRec_::memory, T1_FontRec_::private_dict, T1_SizeRec_::root, T1_Size_Get_Globals_Funcs(), and T1_FaceRec_::type1.

T1_Size_Request | ( | FT_Size | size,
|  | FT_Size_Request | req
| ) |  |

Definition at line 119 of file t1objs.c.

References FT_SizeRec_::face, FT_Request_Metrics(), FT_SizeRec_::internal, FT_SizeRec_::metrics, T1_SizeRec_::root, PSH_Globals_FuncsRec_::set_scale, T1_Size_Get_Globals_Funcs(), FT_Size_Metrics_::x_scale, and FT_Size_Metrics_::y_scale.